# mongoc_collection_find_and_modify_with_opts()

## Synopsis

    bool
    mongoc_collection_find_and_modify_with_opts (mongoc_collection_t                 *collection,
                                                 const bson_t                        *query,
                                                 const mongoc_find_and_modify_opts_t *opts,
                                                 bson_t                              *reply,
                                                 bson_error_t                        *error);

New in mongoc 1.3.0

## Parameters

collection | A mongoc_collection_t.
query | A bson_t containing the query to locate target document(s).
opts | find and modify options
reply | An optional location for a bson_t that will be initialized with the result or NULL.
error | An optional location for a bson_error_t or NULL.

## Description

Update and return an object.

## Errors

Errors are propagated via the error parameter.

## Returns

Returns true on success; false on failure.

## Example

See mongoc_find_and_modify_opts_t